Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 529024 - Review Request: GNUsTicker - Gnome RSS feed reader applet
Summary: Review Request: GNUsTicker - Gnome RSS feed reader applet
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-14 16:42 UTC by Neil Horman
Modified: 2010-11-03 17:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-03 17:05:06 UTC


Attachments (Terms of Use)

Description Neil Horman 2009-10-14 16:42:59 UTC
Spec URL: http://people.redhat.com/nhorman/rpms/GNUsTicker.spec
SRPM URL: http://people.redhat.com/nhorman/rpms/GNUsTicker-0.1.1-1.src.rpm
Description: GNUsTicker is a Gnome RSS feed reader that can operate in a standalone window, or as a gnome panel applet.

Comment 1 Martin Gieseking 2009-10-16 18:43:33 UTC
Some quick comments:

- append %{?dist} to the release number

- add --disable-static to %{configure}

- add the following line to the build section in order to remove .la files:
  find $RPM_BUILD_ROOT -name "*.la" -delete

- set the permissions of the .py files to 0755

- you should replace the existing python shebangs according to https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython
 
- remove the empty files (NEWS, ChangeLog) from %doc

- add rm -rf $RPM_BUILD_ROOT/%{_docdir}/ to the %build section and remove %{_docdir}/GNUsTicker from %files as the folder only contains the files already added to %doc


$ rpmlint /var/lib/mock/fedora-11-x86_64/result/GNUsTicker-*
GNUsTicker.src: W: no-cleaning-of-buildroot %install
GNUsTicker.src: W: no-buildroot-tag
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/parser.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: zero-length /usr/share/doc/GNUsTicker-0.1.1/NEWS
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/gtkutils.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/feedparser.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/setup.py 0644 /usr/bin/env
GNUsTicker.x86_64: W: devel-file-in-non-devel-package /usr/libexec/GNUsTicker/GNUsTicker.a
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/utils.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: zero-length /usr/share/doc/GNUsTicker/ChangeLog
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/feed_plugins/fake_rss.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/feed_plugins/rss.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: zero-length /usr/share/doc/GNUsTicker-0.1.1/ChangeLog
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/feeds.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/configuration.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/globaldata.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/widgets/scrolling.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: zero-length /usr/share/doc/GNUsTicker/NEWS
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/gtkforms.py 0644 /usr/bin/env
GNUsTicker.x86_64: E: non-executable-script /usr/libexec/GNUsTicker/feeds_configuration.py 0644 /usr/bin/env
3 packages and 0 specfiles checked; 17 errors, 3 warnings.

Comment 2 Neil Horman 2009-10-17 00:24:18 UTC
Thanks!  I'll respin this shortly.

Comment 3 Neil Horman 2009-10-17 01:06:00 UTC
Spec URL: http://people.redhat.com/nhorman/rpms/GNUsTicker.spec
SRPM URL: http://people.redhat.com/nhorman/rpms/GNUsTicker-0.1-1.fc11.src.rpm

There you go, updated with your notes taken into account.

Comment 4 Martin Gieseking 2009-10-17 08:46:08 UTC
Err, your latest spec file differs a bit too much from the initial one. :)
The license tag is wrong, BuildRequires and Requires are missing, BuildRoot is not well-formed, and the description is shortened. 
Also, append %{?_smp_mflags} to make, and bump the release number every time you upload a new revision.

Comment 5 Neil Horman 2009-10-19 02:16:15 UTC
Shoot sorry, I updated an old version of the spec.  Ill update and post the rigj rpm / spec in the am

Comment 6 Neil Horman 2009-10-19 11:10:30 UTC
Spec URL: http://people.redhat.com/nhorman/rpms/GNUsTicker.spec
SRPM URL: http://people.redhat.com/nhorman/rpms/GNUsTicker-0.1.1-2.fc11.src.rpm

There you, properly cleaned up as per your notes.  Thanks.

Comment 7 Neil Horman 2009-11-06 13:45:39 UTC
ping, any further thoughts?

Comment 8 Martin Gieseking 2009-11-06 13:53:37 UTC
Sorry, I'm completely busy with my job at the moment and currently don't have the time to do full reviews.

Comment 9 Neil Horman 2009-11-06 14:46:29 UTC
no worries, just checking in

Comment 10 Garrett Holmstrom 2010-01-16 06:07:12 UTC
I'm not an approved packager yet, so I'll give you an informal review in hopes that it will help get this request moving again.

See below for rpmlint output

ok - Package meets naming guidelines
ok - Spec file matches base package name
NO - Meets Packaging Guidelines
ok - License (GPLv2+)
ok - License field in spec matches
ok - License file included in package
ok - Spec in American English
ok - Spec is legible
ok - Sources match upstream md5sum:
31914926b70230c4ac0eacea95fed5b7  GNUsTicker.tar.gz
31914926b70230c4ac0eacea95fed5b7  GNUsTicker.tar.gz.upstream

ok - BuildRequires correct
na - Spec handles locales/find_lang
na - Package has .so files in %{_libdir} and runs ldconfig in %post and %postun
ok - Package does not bundle system libs
na - Package relocatability is justified
ok - No duplicate files in %files
ok - Spec has %defattr in each %files section
ok - File permissions are sane
ok - Spec has a correct %clean section
ok - Spec has rm -rf %{buildroot} at top of %install
ok - Spec has consistant macro usage
ok - Package is code or permissible content
na - Building for earlier than F9 and spec has correct buildroot
ok - File names valid UTF-8

ok - %doc files don't affect runtime
na - Headers go in -devel package
na - Static libs go in -static package
ok - Package contains no .la files
no - Package is a GUI app and has a .desktop file installed w/ desktop-file-install (Unnecessary:  panel applet)
ok - Package owns all directories it creates
ok - Package's files and directories don't conflict with others'
ok - Package obeys FHS, except libexecdir and /usr/target

ok - Compiles and builds on at least one arch
ok - Compiles and builds on all archs or has ExcludeArch + bugs filed
http://koji.fedoraproject.org/koji/taskinfo?taskID=1925747

SHOULD Items:

na - Query upstream for license inclusion
no - Translations of description and summary
ok - Builds in mock
ok - Scriptlets are sane
na - Non-devel subpackages require base w/ fully-versioned dependency
na - pkgconfig (.pc) files go in -devel package
ok - Latest version
ok - Has dist tag
ok - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin

########################################

* rpmlint output

SPECS/GNUsTicker.spec: W: no-buildroot-tag
GNUsTicker.src: W: no-buildroot-tag

As far as I know this is fine if you never plan to build this on el5, but on the other hand it doesn't hurt to include a BuildRoot line anyway.

GNUsTicker.x86_64: E: script-without-shebang /usr/libexec/GNUsTicker/widgets/__init__.py
GNUsTicker.x86_64: E: script-without-shebang /usr/libexec/GNUsTicker/feed_plugins/__init__.py
GNUsTicker.x86_64: E: script-without-shebang /usr/libexec/GNUsTicker/feed_plugins/pop3.py
GNUsTicker.x86_64: E: script-without-shebang /usr/libexec/GNUsTicker/extractors.py

Either mark these non-executable or add shebang lines to them.

* Meets packaging guidelines

Drop the explicit Requires from the spec file - rpmbuild will pick up required libraries for you.

http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

* Other comments

This program is ancient.  Its last commit was four years ago.  Do you plan to maintain it with bugfixes and the like yourself?

Comment 11 Jason Tibbitts 2010-11-03 17:05:06 UTC
It's been most of a year since the last comment with no response from the submitter; I'm just going to close this out.


Note You need to log in before you can comment on or make changes to this bug.